Bug 471419 - "scheduled printing" doesn't function as expected
"scheduled printing" doesn't function as expected
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gtk2 (Show other bugs)
9
All Linux
medium Severity low
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-13 11:56 EST by Paolo Leoni
Modified: 2009-07-15 04:21 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-15 04:21:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paolo Leoni 2008-11-13 11:56:43 EST
Description of problem:

When I try to do a scheduled printing with system-config-printer on a fixed time (like HH:MM), it don't work. This happens because the time value is read by the software like "UTC" and not like "local system time".

Version-Release number of selected component (if applicable):
0.7.82.5

How reproducible:


Steps to Reproduce:
1. Open a document to print
2. select "Print on:" and type your local time
  
Actual results:

No printing (suspended)

Expected results:

Printing on typed time

Additional info:
Comment 1 Tim Waugh 2008-11-14 07:33:25 EST
When the job-hold-until attribute is set to XX:YY that must be interpreted as UTC.  This is documented in the CUPS help:
http://www.cups.org/documentation.php/spec-ipp.html#job-hold-until

From your "steps to reproduce" it seems that system-config-printer is not involved here.  Perhaps it is the GTK+ print dialog are you seeing, with this sort of thing:

Print Document
 ( ) Now
 (O) At: [______]
 ( ) On hold

In this case, the GTK+ print dialog ought to make this clearer, either by changing the string to "At (UTC):" or by adding a tooltip to that text entry box.
Comment 2 Matthias Clasen 2008-11-14 10:06:12 EST
For the gtk side of things, we probably want to take a local time there, and need to translate to utc in the cups backend then.
Comment 3 Marek Kašík 2008-11-21 03:29:11 EST
Hi,
I added a conversion from the local time (user) to UTC (CUPS) to the CUPS backend (gtk2-2.12.12-2.fc9 version).

  Marek
Comment 4 Paolo Leoni 2008-11-21 04:49:17 EST
Thanks to all for your help.
Comment 5 Fedora Update System 2009-01-16 21:27:37 EST
gtk2-2.12.12-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/gtk2-2.12.12-2.fc9
Comment 6 Fedora Update System 2009-01-21 16:26:21 EST
gtk2-2.12.12-2.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update gtk2'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-0709
Comment 7 Bug Zapper 2009-06-09 23:14:59 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-07-15 04:21:43 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.